Cadzow Knowledgebase


Welcome
Contact Us
Professional
Services

Consulting
Knowledgebase/
Site Search

Remote Support

Print Friendly

Error Opening ATO Electronic Commerce Interface

After installing the Australian Taxation Office's ECI (Electronic Commerce Interface) and Auskey applications, ECI reports:

    S000 An unexpected error occurred. Scroll down for further details. If you cannot resolve the problem, please contact the ATO.

Then:

    Error checking certificate expiry warnings Stack Trace atoesd.security.CertificateException: Can not load information from certificate store: atoesd.security.CertException: Exception loading certificate list: au.gov.bafcsi.clapi.asn1.ASN1RuntimeException: ASN1ConstructedOrdered.getComponent(int)

If you click Select Certificate, an error is presented:

    The certificate you are attempting to utilize is invalid. If the problem persists, contact the ATO ESD Technical Support Centre. (Cannot load information from the certificate store: atoesd.security.CertException: Exception loading certificate list: au.gov.bafcsi.clapi.asn1.ASN1RuntimeException: ASN1ConstructedOrdered. getComponent(int))

To resolve:

  1. Close ECI.

  2. Install CSI (Common-Use Signing Interface) from https://web.archive.org/web/20131010052546/http://pki.ato.gov.au/atocsiInstall/CSIinstall.exe.

    (As of 2015, CSIinstall.exe seems to have been deprecated from the ATO's website. The URL above is to an archived version at archive.org. The original URL was http://pki.ato.gov.au/atocsiInstall/CSIinstall.exe.)

  3. Click StartProgramsCommon-Use Signing InterfaceCSI Management Utility.

  4. Click Advanced.

  5. Under Certificate StoresMicrosoft CAPI Configuration, check Disabled.

  6. Click OK, then Exit.

Other Resources

  • e-Tax Helpdesk — 1300 130 017

Copyright © 1996-2018 Cadzow TECH Pty. Ltd. All rights reserved.
Information and prices contained in this website may change without notice. Terms of use.


Question/comment about this page? Please email webguru@cadzow.com.au